Browse Source

Correct attrs package name in requirements (#3492)

Amber Brown 2 years ago
parent
commit
e845fd41c2
3 changed files with 3 additions and 1 deletions
  1. 1 0
      changelog.d/.gitignore
  2. 1 0
      changelog.d/3492.bugfix
  3. 1 1
      synapse/python_dependencies.py

+ 1 - 0
changelog.d/.gitignore

@@ -0,0 +1 @@
+!.gitignore

+ 1 - 0
changelog.d/3492.bugfix

@@ -0,0 +1 @@
+Amend the Python dependencies to depend on attrs from PyPI, not attr

+ 1 - 1
synapse/python_dependencies.py

@@ -57,7 +57,7 @@ REQUIREMENTS = {
     "phonenumbers>=8.2.0": ["phonenumbers"],
     "six": ["six"],
     "prometheus_client": ["prometheus_client"],
-    "attr": ["attr"],
+    "attrs": ["attr"],
     "netaddr>=0.7.18": ["netaddr"],
 }